@use "sass:map";
@import "variables";
@import "mixins";

.popup {
    display: none;
}

@include for-mobile {
    body {
        background-color: $background-color;
        font-family: 'Roboto', sans-serif;
    }

    .navbar {
        width: 100%;
        height: 75px;
    }

    .nav-wrap {
        padding: 15px;
    }

    .burger {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        width: 100%;

        &__field {
            padding: 10px 20px;
            background-color: #000000;
            cursor: pointer;
        }

        &__line {
            display: block;
            width: 30px;
            height: 3px;
            margin: 6px auto;
            background-color: #fff;
            transition: 0.2s;
        }

        &__field.active &__line:nth-child(2) {
            opacity: 0;
        }

        &__field.active &__line:nth-child(1) {
            transform: translateY(10px) rotate(-135deg);
            ;
        }

        &__field.active &__line:nth-child(3) {
            transform: translateY(-8px) rotate(-45deg);
        }

    }

    .menu {
        display: none;
    }

    .popup {
        position: fixed;
        top: 75px;
        right: -100%;
        width: 182px;
        height: 230px;
        background-color: #F5F5F5;
        z-index: 100;
        display: flex;
        transition: 0.3s;

        &.open {
            right: 0;
        }

        & .menu {
            width: 182px;
            height: 230px;
            display: flex;
            flex-direction: column;
            padding: 0 0;
            overflow: hidden;

            &__li {
                width: 100%;
                display: block;
            }

            &__link {
                width: 100%;
                padding: 10px 0 10px 12px;
                font-size: $primary-size;
                text-transform: uppercase;
                color: $primary-color;
                text-decoration: none;
                display: block;

                &:hover {
                    background-color: #E5E5E5;
                }

                &--text-color {
                    padding-top: 5px;
                    color: #57A4A4;
                }
            }

            .home-link {
                padding-top: 5px;
            }
        }
    }

    body.noscroll {
        overflow: hidden;
    }

    .content-section {

        &__img {
            display: block;
            margin: 0 auto;
            width: 92%;
            padding-top: 24px;
        }

        &__title {
            text-transform: uppercase;
            font-size: $primary-size;
            font-weight: 700;
            color: $primary-color;
            padding: 38px 0 0 20px;
        }

        &__title-two {
            display: none;
        }

        &__post-img {
            padding: 23px 0 0 20px;
        }

        &__text {
            font-size: $primary-size;
            font-weight: 700;
            color: $primary-color;
            padding: 38px 0 0 20px;
        }

        &__text-two {
            font-size: $secondary-size;
            color: $secondary-color;
            padding: 18px 0 0 20px;
            display: inline-block;
        }

        &__text-three {
            display: none;
        }

        &__post-img-instagram {
            padding: 13px 0 0 20px;
        }
    }


    .posts-container {
        display: flex;
        flex-direction: column;
    }

    .none-tablet {
        display: none;
    }

    .none {
        display: none;
    }

    .display-none {
        display: none;
    }

    .padding-content-section {
        display: inline-block;
        padding-top: 78px;
    }

    .wrapper-instagram-section {
        padding-bottom: 50px;
    }


    .rss-icon {
        color: #F8902E;
        border: 2px solid #F8902E;
        border-radius: 50%;
        padding: 10px;
        margin-top: 30px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .facebook-icon {
        color: #39599F;
        border: 2px solid #39599F;
        border-radius: 50%;
        padding: 10px;
        margin-top: 30px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .twitter-icon {
        color: #45B0E3;
        border: 2px solid #45B0E3;
        border-radius: 50%;
        padding: 10px;
        margin-top: 30px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .dribbble-icon {
        color: #D97AB0;
        border: 2px solid#D97AB0;
        border-radius: 50%;
        padding: 10px;
        margin-top: 30px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .pinterest-icon {
        color: #CC212C;
        border: 2px solid#CC212C;
        border-radius: 50%;
        padding: 10px;
        margin-top: 30px;
        margin-left: 2px;
        margin-right: 2px;
    }

    .contacts {
        text-decoration: none;
        line-height: 24px;
        font-size: 14px;
        color: #B9B9B9;
        display: block;
    }

    .content-section__title-tablet-text {
        display: none;
    }

    .footer {
        background-color: #000000;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        &__title {
            size: $primary-size;
            color: #FEFEFE;
            padding-top: 68px;
            text-transform: uppercase;
            font-weight: 700;
        }

        &__text {
            color: #b9b9b9;
            line-height: 20px;
            font-size: 12px;
            text-align: center;
            padding: 8px 58px 0 61px;
        }

        &__text-two {
            display: none;
        }

        &__contacts {
            color: #B9B9B9;
            text-align: center;
            line-height: 24px;
            font-size: 14px;
            margin-top: 24px;
        }
    }

}